I Need Help! Cant Update

Discussion in 'iOS 5 and earlier' started by mluman83, Oct 12, 2011.

Thread Status:
Not open for further replies.
  1. macrumors newbie

    Oct 12, 2011
    Well I just found out a freind of mine downloaded 10.5 beta itunes on my computer at some point a while ago. Not sure why he did this or where he got it from as he is not a developer. But I have downloaded the new 10.5 itunes and deleted the beta. I am not a dev. I am trying to update my iphone to ios 5 and it says "phone not eligible for requested build".

    I dont know what to do to fix this. I have a feeling that by me using that downloaded beta itunes that it has messed something up.

    Please help!
  2. arn
    macrumors god


    Staff Member

    Apr 9, 2001
Thread Status:
Not open for further replies.

Share This Page